Bug 844630 - Another memory leak in systemd-journald
Another memory leak in systemd-journald
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
17
All All
unspecified Severity high
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 05:05 EDT by Artur Zaprzała
Modified: 2012-10-07 18:46 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-07 18:46:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add a missing free() (362 bytes, patch)
2012-07-31 05:05 EDT, Artur Zaprzała
no flags Details | Diff

  None (edit)
Description Artur Zaprzała 2012-07-31 05:05:18 EDT
Created attachment 601479 [details]
Add a missing free()

Description of problem:
On a mail server processing about 100k messages daily systemd-journald leaks about 10MB of memory per day.

Version-Release number of selected component:
systemd-44-17.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
Run a simple Python script and watch memory usage of systemd-journald:
from syslog import *
openlog('logtest', LOG_PID, LOG_USER)
while True: syslog(LOG_INFO, 'test')

The above test also shows that systemd-journald needs about 10 times more CPU time than rsyslog for doing the same thing.
Comment 1 Harald Hoyer 2012-07-31 08:17:08 EDT
(In reply to comment #0)
> Created attachment 601479 [details]
> Add a missing free()

Thanks! Pushed upstream.

http://cgit.freedesktop.org/systemd/systemd/commit/?id=4cdc45994a9444820ae0d11b1a8b29dc5641ba15
Comment 2 Fedora Update System 2012-09-20 15:55:36 EDT
systemd-190-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/systemd-190-1.fc18
Comment 3 Fedora Update System 2012-09-22 02:36:48 EDT
Package systemd-191-2.fc18, rtkit-0.11-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-191-2.fc18 rtkit-0.11-3.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14581/rtkit-0.11-3.fc18,systemd-191-2.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-09-27 20:17:13 EDT
Package glibc-2.16-17.fc18, systemd-192-1.fc18, selinux-policy-3.11.1-23.fc18, rtkit-0.11-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.16-17.fc18 systemd-192-1.fc18 selinux-policy-3.11.1-23.fc18 rtkit-0.11-3.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14581/selinux-policy-3.11.1-23.fc18,rtkit-0.11-3.fc18,systemd-192-1.fc18,glibc-2.16-17.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-10-01 16:09:27 EDT
Package glibc-2.16-17.fc18, rtkit-0.11-3.fc18, systemd-193-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.16-17.fc18 rtkit-0.11-3.fc18 systemd-193-1.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14581/rtkit-0.11-3.fc18,systemd-193-1.fc18,glibc-2.16-17.fc18
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.